Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.core
Class Qt.BrushStyle

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.core.Qt.BrushStyle

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing interface:
  Qt

    public static final class Qt.BrushStyle

extends java.lang.Enum
implements QtEnumerator

This enum type defines the brush styles supported by Qt, i.e. the fill pattern of shapes drawn using `QPainter`.

See also:
  `QBrush`.

See Also:
  Serialized Form

Field Summary
`static Qt.BrushStyle` | `BDiagPattern` Backward diagonal lines.
`static Qt.BrushStyle` | `ConicalGradientPattern` Conical gradient (set using a dedicated `QBrush` constructor).
`static Qt.BrushStyle` | `CrossPattern` Crossing horizontal and vertical lines.
`static Qt.BrushStyle` | `Dense1Pattern` Extremely dense brush pattern.
`static Qt.BrushStyle` | `Dense2Pattern` Very dense brush pattern.
`static Qt.BrushStyle` | `Dense3Pattern` Somewhat dense brush pattern.
`static Qt.BrushStyle` | `Dense4Pattern` Half dense brush pattern.
`static Qt.BrushStyle` | `Dense5Pattern` Somewhat sparse brush pattern.
`static Qt.BrushStyle` | `Dense6Pattern` Very sparse brush pattern.
`static Qt.BrushStyle` | `Dense7Pattern` Extremely sparse brush pattern.
`static Qt.BrushStyle` | `DiagCrossPattern` Crossing diagonal lines.
`static Qt.BrushStyle` | `FDiagPattern` Forward diagonal lines.
`static Qt.BrushStyle` | `HorPattern` Horizontal lines.
`static Qt.BrushStyle` | `LinearGradientPattern` Linear gradient (set using a dedicated `QBrush` constructor).
`static Qt.BrushStyle` | `NoBrush` No brush pattern.
`static Qt.BrushStyle` | `RadialGradientPattern` Radial gradient (set using a dedicated `QBrush` constructor).
`static Qt.BrushStyle` | `SolidPattern` Uniform color.
`static Qt.BrushStyle` | `TexturePattern` Custom pattern (see `QBrush::setTexture()`).
`static Qt.BrushStyle` | `VerPattern` Vertical lines.

Method Summary
`static Qt.BrushStyle` | `resolve(int value)` Returns the BrushStyle constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static Qt.BrushStyle` | `valueOf(java.lang.String name)`
`static Qt.BrushStyle[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### NoBrush

    public static final Qt.BrushStyle NoBrush

  No brush pattern.

### SolidPattern

    public static final Qt.BrushStyle SolidPattern

  Uniform color.

### Dense1Pattern

    public static final Qt.BrushStyle Dense1Pattern

  Extremely dense brush pattern.

### Dense2Pattern

    public static final Qt.BrushStyle Dense2Pattern

  Very dense brush pattern.

### Dense3Pattern

    public static final Qt.BrushStyle Dense3Pattern

  Somewhat dense brush pattern.

### Dense4Pattern

    public static final Qt.BrushStyle Dense4Pattern

  Half dense brush pattern.

### Dense5Pattern

    public static final Qt.BrushStyle Dense5Pattern

  Somewhat sparse brush pattern.

### Dense6Pattern

    public static final Qt.BrushStyle Dense6Pattern

  Very sparse brush pattern.

### Dense7Pattern

    public static final Qt.BrushStyle Dense7Pattern

  Extremely sparse brush pattern.

### HorPattern

    public static final Qt.BrushStyle HorPattern

  Horizontal lines.

### VerPattern

    public static final Qt.BrushStyle VerPattern

  Vertical lines.

### CrossPattern

    public static final Qt.BrushStyle CrossPattern

  Crossing horizontal and vertical lines.

### BDiagPattern

    public static final Qt.BrushStyle BDiagPattern

  Backward diagonal lines.

### FDiagPattern

    public static final Qt.BrushStyle FDiagPattern

  Forward diagonal lines.

### DiagCrossPattern

    public static final Qt.BrushStyle DiagCrossPattern

  Crossing diagonal lines.

### LinearGradientPattern

    public static final Qt.BrushStyle LinearGradientPattern

  Linear gradient (set using a dedicated `QBrush` constructor).

### RadialGradientPattern

    public static final Qt.BrushStyle RadialGradientPattern

  Radial gradient (set using a dedicated `QBrush` constructor).

### ConicalGradientPattern

    public static final Qt.BrushStyle ConicalGradientPattern

  Conical gradient (set using a dedicated `QBrush` constructor).

### TexturePattern

    public static final Qt.BrushStyle TexturePattern

  Custom pattern (see `QBrush::setTexture()`).

Method Detail

### values

    public static Qt.BrushStyle[] values()

### valueOf

    public static Qt.BrushStyle valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static Qt.BrushStyle resolve(int value)

  Returns the BrushStyle constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD